> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a help center



## OpenAPI

````yaml patch /help-centers/{helpCenterId}
openapi: 3.0.0
info:
  title: Thena Help Center API Documentation
  description: The Thena Help Center API description
  version: '1.0'
  contact: {}
servers:
  - url: https://helpcenter.thena.ai
    description: Production
security:
  - ApiKey: []
    base-access: []
    OrgId: []
    UserId: []
tags: []
paths:
  /help-centers/{helpCenterId}:
    patch:
      tags:
        - Help Centers
      summary: Update a help center
      operationId: HelpCenterController_update
      parameters:
        - name: helpCenterId
          required: true
          in: path
          description: Help Center ID in MongoDB ObjectId format
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
      requestBody:
        required: true
        description: Help center update payload
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateHelpCenterDto'
      responses:
        '200':
          description: Updates a help center by ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateHelpCenterResponseDto'
components:
  schemas:
    UpdateHelpCenterDto:
      type: object
      properties:
        isOnline:
          type: boolean
          description: Whether the help center is online
          example: true
        isProtected:
          type: boolean
          description: Whether the help center requires authentication to access
          example: false
        name:
          type: string
          description: Name of the help center
          example: Thena Support Center
        defaultDomain:
          type: string
          description: Default subdomain
          pattern: ^[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?$
          example: support
        gaId:
          type: string
          description: Google Analytics ID
          example: G-XXXXXXXXXX
        shouldIndex:
          type: boolean
          description: Whether to index the help center for search engines
          example: true
        socialImages:
          description: Social media images configuration
          example:
            favicon: https://assets.thena.io/favicon.ico
            openGraphImage: https://assets.thena.io/og-image.jpg
          allOf:
            - $ref: '#/components/schemas/SocialImages'
        stylingConfiguration:
          description: Styling configuration
          allOf:
            - $ref: '#/components/schemas/HelpCenterConfigDto'
        logo:
          type: string
          description: Help center logo URL
          example: https://assets.thena.io/logos/help-center-logo.png
        meta:
          description: Meta information for SEO
          example:
            title: Thena Help Center - Get Support
            description: Find help articles and documentation for Thena products
            image: https://assets.thena.io/meta/help-center.jpg
          allOf:
            - $ref: '#/components/schemas/ArticleMetaDto'
    UpdateHelpCenterResponseDto:
      type: object
      properties:
        data:
          description: Help center data
          allOf:
            - $ref: '#/components/schemas/HelpCenter'
        message:
          type: string
          description: Response message
          example: Help center updated successfully.
      required:
        - data
        - message
    SocialImages:
      type: object
      properties:
        favicon:
          type: string
          description: Favicon URL
        openGraphImage:
          type: string
          description: Open Graph image URL
    HelpCenterConfigDto:
      type: object
      properties:
        body:
          description: Body configuration
          allOf:
            - $ref: '#/components/schemas/BodyConfig'
        header:
          description: Header configuration
          allOf:
            - $ref: '#/components/schemas/HeaderConfig'
        hero:
          description: Hero configuration
          allOf:
            - $ref: '#/components/schemas/HeroConfig'
        bodyBlocks:
          description: Body blocks configuration
          allOf:
            - $ref: '#/components/schemas/BodyBlocksConfig'
        collection:
          description: Collection configuration
          allOf:
            - $ref: '#/components/schemas/CollectionConfig'
        article:
          description: Article configuration
          allOf:
            - $ref: '#/components/schemas/ArticleConfig'
        footer:
          description: Footer configuration
          allOf:
            - $ref: '#/components/schemas/FooterConfig'
      required:
        - body
        - header
        - hero
        - bodyBlocks
        - collection
        - article
        - footer
    ArticleMetaDto:
      type: object
      properties:
        title:
          type: string
          description: Article title for SEO
        description:
          type: string
          description: Article description for SEO
        image:
          type: string
          description: Article image URL for SEO
    HelpCenter:
      type: object
      properties:
        orgId:
          type: string
          description: Organization ID
          example: EWWESHH5ED
        name:
          type: string
          description: Help center name
          example: Thena Support Center
        logo:
          type: string
          description: Help center logo
          example: https://example.com/logo.png
        customDomain:
          type: string
          description: Custom domain
          example: support.thena.ai
        gaId:
          type: string
          description: Google Analytics ID
          example: UA-1234567890
        defaultDomain:
          type: string
          description: Default domain
          example: support.thena.ai
        orgDomain:
          type: string
          description: Organization domain
          example: thena.ai
        isOnline:
          type: boolean
          description: Whether the help center is online
          example: true
        isProtected:
          type: boolean
          description: Whether the help center requires authentication to access
          example: false
        shouldIndex:
          type: boolean
          description: Whether the help center should be indexed
          example: true
        createdBy:
          type: string
          description: Created by
          example: UWW7PBBOPJ
        socialImages:
          type: object
          description: Social images
          example:
            favicon: https://example.com/favicon.ico
            openGraphImage: https://example.com/open-graph.jpg
        stylingConfiguration:
          type: object
          description: Styling configuration
          example:
            body:
              bgColor: '#FFFFFF'
              textColor: '#000000'
              actionColor: '#000000'
              designStyle: card
              radius: 10
              pFont: default
              sFont: default
              displayAuthors: true
            header:
              logo: https://example.com/logo.png
              title: Thena Support Center
              links:
                - name: Home
                  url: https://example.com
              showBg: true
              bgColor: '#FFFFFF'
              color: '#000000'
            hero:
              message: Welcome to Thena Support Center
              background:
                type: color
                color: '#FFFFFF'
              color: '#000000'
              height: 245
              search:
                len: long
                align: left
                justify: bottom
                radius: 10
                placeholderText: Search...
            bodyBlocks:
              collection:
                layout: one-column
                style: classic
            collection:
              displayDescription: true
            article:
              displayTableOfContent: true
              displayRelatedArticle: true
            footer:
              logo: https://example.com/logo.png
              layout: simple
              text: © 2024 Thena Support Center
              bgColor: '#FFFFFF'
              color: '#000000'
              socialLinks:
                - type: facebook
                  url: https://www.facebook.com/thena.ai
                - type: twitter
                  url: https://www.twitter.com/thena.ai
              links:
                - columnName: Contact
                  data:
                    - name: Support
                      url: https://example.com/support
        aiData:
          type: object
          description: AI data
          example:
            assistants:
              - name: Assistant 1
                assistantId: '123'
                vectorId: '456'
                assistantType: default
        meta:
          type: object
          description: Meta data
          example:
            title: Thena Support Center
            description: Thena Support Center
            image: https://example.com/image.jpg
      required:
        - orgId
        - name
        - defaultDomain
        - orgDomain
        - isOnline
        - isProtected
        - shouldIndex
        - createdBy
        - socialImages
        - stylingConfiguration
        - aiData
        - meta
    BodyConfig:
      type: object
      properties:
        bgColor:
          type: string
          description: Background color in hex format
          example: '#FFFFFF'
        textColor:
          type: string
          description: >-
            Text color in hex format (automatically calculated for optimal
            contrast)
          example: '#000000'
        actionColor:
          type: string
          description: Action color in hex format
          example: '#007AFF'
        designStyle:
          type: string
          enum:
            - card
            - floating
          description: Design style for the body
          example: MODERN
        radius:
          type: number
          minimum: 0
          maximum: 24
          description: Border radius value
          example: 8
        pFont:
          type: string
          description: Primary font family
          example: Inter
        sFont:
          type: string
          description: Secondary font family
          example: Roboto
        displayAuthors:
          type: boolean
          description: Whether to display authors
          example: true
      required:
        - bgColor
        - textColor
        - actionColor
        - designStyle
        - radius
        - pFont
        - sFont
        - displayAuthors
    HeaderConfig:
      type: object
      properties:
        logo:
          type: string
          description: Header logo URL
          example: https://assets.thena.io/logos/header-logo.png
        title:
          type: string
          description: Header title
          example: Thena Help Center
        links:
          description: Array of header links
          example:
            - name: Documentation
              url: https://docs.thena.ai
            - name: API Reference
              url: https://api.thena.ai
          type: array
          items:
            $ref: '#/components/schemas/HeaderLink'
        showBg:
          type: boolean
          description: Whether to show background
          example: true
        bgColor:
          type: string
          description: Background color in hex format
          example: '#F5F5F5'
        color:
          type: string
          description: Text color in hex format
          example: '#333333'
        button:
          description: Header button configuration
          example:
            color: '#007AFF'
            text: Contact Support
            redirectionUrl: https://support.thena.ai/contact
            radius: 8
          allOf:
            - $ref: '#/components/schemas/HeaderButton'
      required:
        - title
        - links
        - showBg
        - bgColor
        - color
    HeroConfig:
      type: object
      properties:
        message:
          type: string
          description: Hero message
        background:
          description: Hero background configuration
          allOf:
            - $ref: '#/components/schemas/HeroBackground'
        color:
          type: string
          description: Text color in hex format
        height:
          type: number
          minimum: 245
          maximum: 600
          description: Hero section height
        search:
          description: Hero search configuration
          allOf:
            - $ref: '#/components/schemas/HeroSearch'
        searchBorderColor:
          type: string
          description: Search border color
      required:
        - message
        - background
        - color
        - height
        - search
    BodyBlocksConfig:
      type: object
      properties:
        collection:
          description: Collection configuration for body blocks
          allOf:
            - $ref: '#/components/schemas/BodyBlocksCollection'
      required:
        - collection
    CollectionConfig:
      type: object
      properties:
        displayDescription:
          type: boolean
          description: Whether to display description
      required:
        - displayDescription
    ArticleConfig:
      type: object
      properties:
        displayTableOfContent:
          type: boolean
          description: Whether to display table of contents
        displayRelatedArticle:
          type: boolean
          description: Whether to display related articles
      required:
        - displayTableOfContent
        - displayRelatedArticle
    FooterConfig:
      type: object
      properties:
        logo:
          type: string
          description: Footer logo URL
        layout:
          type: string
          enum:
            - simple
            - classic
            - multi
          description: Layout of footer
        text:
          type: string
          description: Footer text
        bgColor:
          type: string
          description: Background color in hex format
        color:
          type: string
          description: Text color in hex format
        socialLinks:
          description: Array of social links
          type: array
          items:
            $ref: '#/components/schemas/SocialLink'
        links:
          description: Array of footer link columns
          type: array
          items:
            $ref: '#/components/schemas/FooterLinkColumn'
        subtext:
          type: string
          description: Footer subtext
      required:
        - layout
        - text
        - bgColor
        - color
    HeaderLink:
      type: object
      properties:
        name:
          type: string
          description: Name of the header link
          example: Documentation
        url:
          type: string
          description: URL for the header link
          example: https://docs.thena.ai
      required:
        - name
        - url
    HeaderButton:
      type: object
      properties:
        color:
          type: string
          description: Button color in hex format
          example: '#007AFF'
        bgColor:
          type: string
          description: Button background color in hex format or transparent
          example: '#007AFF'
        textColor:
          type: string
          description: Button text color in hex format
          example: '#FFFFFF'
        text:
          type: string
          description: Button text
          example: Contact Support
        redirectionUrl:
          type: string
          description: Button redirection URL
          example: https://support.thena.ai/contact
        radius:
          type: number
          description: Button border radius
          example: 8
    HeroBackground:
      type: object
      properties:
        type:
          type: string
          enum:
            - color
            - image
            - gradient
          description: Type of hero background
          example: COLOR
        color:
          type: string
          description: Background color in hex format
          example: '#F5F5F5'
        image:
          type: string
          description: Background image URL
          example: https://assets.thena.io/backgrounds/hero.jpg
        gradient:
          description: Gradient colors in hex format
          minItems: 2
          maxItems: 3
          example:
            - '#007AFF'
            - '#00C6FF'
            - '#00E5FF'
          type: array
          items:
            type: string
        fade:
          type: boolean
          description: Whether to fade the background
          example: true
      required:
        - type
        - fade
    HeroSearch:
      type: object
      properties:
        len:
          type: string
          enum:
            - short
            - medium
            - long
          description: Length of search bar
          example: MEDIUM
        align:
          type: string
          enum:
            - left
            - center
            - right
          description: Alignment of search bar
          example: CENTER
        justify:
          type: string
          enum:
            - bottom
            - center
            - top
          description: Vertical alignment of search bar
          example: CENTER
        radius:
          type: number
          minimum: 0
          maximum: 30
          description: Search bar border radius
          example: 8
        placeholderText:
          type: string
          description: Placeholder text for search bar
          example: Search for help articles...
      required:
        - len
        - align
        - justify
        - radius
    BodyBlocksCollection:
      type: object
      properties:
        layout:
          type: string
          enum:
            - '1'
            - '2'
            - '3'
          description: Layout of collection
        style:
          type: string
          enum:
            - classic
            - visual
            - compact
          description: Style of collection
      required:
        - layout
        - style
    SocialLink:
      type: object
      properties:
        type:
          type: string
          enum:
            - x
            - facebook
            - instagram
            - linkedin
            - youtube
            - github
            - reddit
            - discord
            - telegram
            - slack
            - dribbble
            - pinterest
          description: Type of social link
        url:
          type: string
          description: URL of social link
      required:
        - type
        - url
    FooterLinkColumn:
      type: object
      properties:
        columnName:
          type: string
          description: Name of the footer link column
        data:
          description: Array of footer links
          type: array
          items:
            $ref: '#/components/schemas/FooterLink'
      required:
        - columnName
        - data
    FooterLink:
      type: object
      properties:
        name:
          type: string
          description: Name of footer link
        url:
          type: string
          description: URL of footer link
      required:
        - name
        - url
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key

````